Package com.typesafe.config

# Class ConfigException.IO

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.typesafe.config.ConfigException
com.typesafe.config.ConfigException.IO

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ConfigException`

public static class ConfigException.IO extends ConfigException
Exception indicating that there was an IO error.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.typesafe.config.ConfigException

`ConfigException.BadBean, ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

## Constructor Summary

Constructors
Constructor
Description
`IO(ConfigOrigin origin, String message)`
`IO(ConfigOrigin origin, String message, Throwable cause)`

## Method Summary

### Methods inherited from class com.typesafe.config.ConfigException

`origin`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IO

public IO(ConfigOrigin origin, String message, Throwable cause)

### IO

public IO(ConfigOrigin origin, String message)